Bug 1568142 (CVE-2018-3837) - CVE-2018-3837 SDL2_image: information disclosure in the PCX image rendering functionality
Summary: CVE-2018-3837 SDL2_image: information disclosure in the PCX image rendering f...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-3837
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1568144 1568145 1568146
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 20:27 UTC by Laura Pardo
Modified: 2019-09-29 14:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:19:58 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-04-16 20:27:14 UTC
A flaw was found in SDL2_image-2.0.2. An exploitable information disclosure vulnerability exists in the PCX image rendering functionality of Simple DirectMedia Layer. A specially crafted PCX image can cause an out-of-bounds read on the heap, resulting in information disclosure . An attacker can display a specially crafted image to trigger this vulnerability.


References:
https://www.talosintelligence.com/vulnerability_reports/TALOS-2018-0519

Comment 1 Laura Pardo 2018-04-16 20:28:14 UTC
Created SDL2_image tracking bugs for this issue:

Affects: fedora-all [bug 1568146]


Created mingw-SDL2_image tracking bugs for this issue:

Affects: fedora-all [bug 1568144]


Created SDL2_image tracking bugs for this issue:

Affects: epel-7 [bug 1568145]

Comment 2 Product Security DevOps Team 2019-06-10 10:19:58 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.